#
# spec file for package abuse (Version 0.5.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa alsa-devel audiofile esound esound-devel gpp kdelibs-artsd libgpp xf86
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs-artsd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         abuse
%define       fRaBs_ver	210
Copyright:    GPL, public domain
Group:        Amusements/Games
Autoreqprov:  on
Version:      0.5.0
Release:      7
Summary:      An Arcade Game
URL:	      http://www.labyrinth.net.au/~trandor/abuse/
Source0:      abuse_sdl-%{version}.tar.bz2
Source1:      fRaBs%{fRaBs_ver}.tar.bz2
Source2:      abuse
Patch0:	      fRaBs%{fRaBs_ver}-conf.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
Abuse is an old style arcade game: find your way through the labyrinth,
shoot every alien, and collect some items. To move the fighter, use
the cursor keys. The mouse controls aim and shoot. This
version contains only a demo level. However, a level editor is included.
Abuse runs under X11 (8 bpp only!) as well as on the console.

Authors:
--------
    <abuse@crack.com>
    <jc@crack.com>

SuSE series: fun

%prep
%setup -n abuse_sdl-%{version} -b 1
#
cp $RPM_SOURCE_DIR/abuse $RPM_BUILD_DIR/
#
cd ../fRaBs%{fRaBs_ver}
%patch0

%build 
%{?suse_update_config:%{suse_update_config -f}}
./configure 
make

%install
install -d $RPM_BUILD_ROOT/usr/bin/
install -m755 ../abuse $RPM_BUILD_ROOT/usr/bin/
install -m755 abuse/abuse.sdl $RPM_BUILD_ROOT/usr/bin/
#
install -d $RPM_BUILD_ROOT/usr/share/games/abuse/
cp -rf ../fRaBs%{fRaBs_ver}/* $RPM_BUILD_ROOT/usr/share/games/abuse/
rm -f $RPM_BUILD_ROOT/usr/share/games/abuse/*.exe 
rm -f $RPM_BUILD_ROOT/usr/share/games/abuse/*.386
rm -f $RPM_BUILD_ROOT/usr/share/games/abuse/*.ini
rm -rf $RPM_BUILD_ROOT/usr/share/games/abuse/docs
#
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}
cp abuserc AUTHORS COPYING NEWS TODO $RPM_BUILD_ROOT%{_docdir}/%{name}/
cp ../fRaBs%{fRaBs_ver}/readme.txt $RPM_BUILD_ROOT%{_docdir}/%{name}/
cp -r ../fRaBs%{fRaBs_ver}/docs $RPM_BUILD_ROOT%{_docdir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}
/usr/bin/
/usr/share/games/abuse

%changelog -n abuse
* Fri Aug 17 2001 - pmladek@suse.cz
- updated to version 0.5.0
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <kdelibs kdelibs-devel> to <kdelibs-artsd>
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Thu Jun 28 2001 - pmladek@suse.cz
- added kdelib to #neededforbuild through libSDL
* Tue May 29 2001 - pmladek@suse.cz
- updated to new version 0.4.8 (for SDL)
- updated data for games to fRaBs210
- fixed bad names of data files (upper case from dos)
- added start script to run game from whatsoever directory
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Feb 19 2001 - sf@suse.de
- changed variable "or" to "o_r" in gamma.c to compile
- with gcc-2.96
* Mon Nov 27 2000 - ro@suse.de
- bzipped source
* Mon Nov 06 2000 - sf@suse.de
- removed signal that doesn't exist for Alpha
* Tue Sep 19 2000 - vinil@suse.cz
- console just for i386
* Mon Sep 18 2000 - schwab@suse.de
- Fix file list for ia64.
* Mon Aug 14 2000 - uli@suse.de
- no console build on PPC
* Tue Aug 01 2000 - vinil@suse.cz
- run on console, too
- description fixed
* Tue May 30 2000 - vinil@suse.cz
- game files relocated
* Fri Apr 14 2000 - vinil@suse.cz
- buildroot added
* Tue Apr 11 2000 - schwab@suse.de
- Update config files.
- Fix compilation problem.
* Wed Feb 23 2000 - ro@suse.de
- hacked to compile
* Thu Nov 04 1999 - ro@suse.de
- update to 2.0 / build from src
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Feb 13 1998 - ro@suse.de
- generated spec file
  (to be updated soon: version 2.0 is out and
  current is a a.out binary pkg)
